<?xml version='1.0' encoding='UTF-8'?>
<!-- ePodbevsek                                                     -->
<!-- Digital text-critical editions of Slovene literature           -->
<!-- ZRC SAZU, IJS                                                  -->
<!--                                                                -->
<!-- Stylesheet for conversion of TEI ePodbevsek to HTML            -->
<!--                                                                -->
<!-- Toma&zcaron; Erjavec,                                          -->
<!-- 2010-05-04                                                     -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exsl="http://exslt.org/common"
    exclude-result-prefixes="exsl" 
    extension-element-prefixes="exsl"
    version="1.1">

<xsl:import href="hdr2html.xsl"/>

<xsl:param name="outName">pdb</xsl:param>
<xsl:param name="outDir"></xsl:param>
<xsl:param name="split"></xsl:param>
<xsl:param name="debug"></xsl:param> 
<xsl:param name="verbose">yes</xsl:param> 

<xsl:param name="outFile" select="concat($outName,'.html')"/>

<xsl:param name="homeURL" select="$outFile"/>
<xsl:param name="teiHeader-en" select="concat($outName,'.teiHeader','-en','.html')"/>
<xsl:param name="teiHeader-sl" select="concat($outName,'.teiHeader','-sl','.html')"/>
<xsl:param name="teiHeader-desc-en">ENGLISH TEI HEADER</xsl:param>
<xsl:param name="teiHeader-desc-sl">Kolofon TEI</xsl:param>

<xsl:variable name="para-name">Vzporedni prikaz</xsl:variable>
<xsl:variable name="para-suff">-para</xsl:variable>
<xsl:variable name="figure-prefix">pdb.facs.</xsl:variable>


<xsl:variable name="css_style">
  BODY      { 
    color: #000000;
  background-color: #FFFFCC;
    font-family: "Times New Roman", "Times";
  }
  A:visited { color: #000077;}
  .normal   { font-family: Times; }
  .break    { margin-top: 3px; margin-bottom: 3px}
  .center   { text-align: center; }
  .right    { text-align: right; }
  .justify  { text-align: justify; }
  .suphead  { font-weight: normal; }
  .subhead  { font-weight: normal; font-size: small}
</xsl:variable>

<xsl:param name="def-title">
  <xsl:text>e-Podbevšek</xsl:text>
</xsl:param>

<xsl:variable name="html-footer1">
<hr/>
  <SMALL>
    Avtorske pravice za to izdajo ureja licenca <!-- Uredni bljah: To delo je licencirano <sic>z</sic> --> 
    <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/si/">Creative Commons Priznanje avtorstva-Deljenje pod enakimi pogoji 2.5 Slovenija</a>
     <br/>Projekt 
    <A HREF="http://nl.ijs.si/e-zrc/">Elektronske 
      znanstvenokriti&#x10D;ne izdaje slovenskega slovstva</A> 
    <BR/>
    Datoteka HTML narejena s pretvorbo XSLT baze 
    XML/<A HREF="http://www.tei-c.org/P4X/">TEI P4</A>.
  </SMALL>
</xsl:variable>
<xsl:variable name="html-footer2">
  <SMALL>
    <BR/>
    <A HREF="http://validator.w3.org/check?uri=referer"><IMG border="0"
       src="http://www.w3.org/Icons/valid-html401"
       alt="Valid HTML 4.01!" height="31" width="88"/></A>
    <A HREF="http://jigsaw.w3.org/css-validator/"><IMG border="0"
       src="http://www.w3.org/Icons/valid-css" 
       alt="Valid CSS!" height="31" width="88" /></A> 
    <xsl:comment>Creative Commons License</xsl:comment>
    <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/si/"><img alt="Creative Commons License" style="border-width: 0" src="http://i.creativecommons.org/l/by-sa/2.5/si/88x31.png"/></a>
    <xsl:comment>/Creative Commons License</xsl:comment>
    <xsl:comment>
      <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#">
      <Work rdf:about="">
      <license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/si/" />
      </Work>
      <License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/si/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> 
      </xsl:comment>
  </SMALL>
</xsl:variable>

<xsl:output
  method="html"
  encoding="utf-8"
  indent = "yes"/> 

<xsl:strip-space elements="div"/>
<xsl:preserve-space elements="head p note hi add del corr"/>

<xsl:template match="/">
  <!--xsl:call-template name="outputChunk">
    <xsl:with-param name="outFile" select="$teiHeader-en"/>
    <xsl:with-param name="title" 
      select="concat($teiHeader-desc-en,': ',
              //teiHeader/fileDesc/titleStmt/title[not(@lang) or @lang='en'])"/>
    <xsl:with-param name="content">
      <xsl:apply-templates select="TEI.2/teiHeader">
        <xsl:with-param name="lang">en</xsl:with-param>
      </xsl:apply-templates>
    </xsl:with-param>
  </xsl:call-template-->
  <xsl:call-template name="outputChunk">
    <xsl:with-param name="outFile" select="$teiHeader-sl"/>
    <xsl:with-param name="title" 
      select="concat($teiHeader-desc-sl,': ',
              //teiHeader/fileDesc/titleStmt/title[not(@lang) or @lang='sl'])"/>
    <xsl:with-param name="content">
      <xsl:apply-templates select="TEI.2/teiHeader"/>
    </xsl:with-param>
  </xsl:call-template>
  <xsl:apply-templates select="TEI.2/text"/>
</xsl:template>
  
<xsl:template match="text">
  <xsl:variable name="title">
    <xsl:choose>
      <xsl:when test="//teiHeader">
        <xsl:value-of select="//fileDesc/titleStmt/title"/>
        <xsl:text> (</xsl:text>
        <xsl:value-of select="//teiHeader/@date.updated"/>
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:copy-of select="$def-title"/>
        <xsl:text></xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="head">
    <xsl:choose>
      <xsl:when test="//teiHeader">
        <H1 align="center">
          <xsl:value-of select="$title"/>
        </H1>
        <xsl:for-each select="//fileDesc/titleStmt/author">
          <H2><xsl:value-of select="."/></H2>
        </xsl:for-each>
        <H2>Izdaja <xsl:value-of select="//editionStmt/edition"/></H2>
        <xsl:for-each select="//fileDesc/titleStmt/respStmt">
          <H3>
            <xsl:value-of select="resp"/>
            <xsl:text> </xsl:text>        
            <xsl:value-of select="name"/>
          </H3>
        </xsl:for-each>
      </xsl:when>
      <xsl:otherwise>
        <H1 align="center">
          <xsl:copy-of select="$def-title"/>
        </H1>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:call-template name="outputChunk">
    <xsl:with-param name="outFile" select="$outFile"/>
    <xsl:with-param name="title" select="$def-title"/>
    <xsl:with-param name="content">
      <!--xsl:copy-of select="$head"/-->
      <xsl:apply-templates select="front"/>
      <xsl:call-template name="toc-main"/>
      <xsl:apply-templates select="body"/>
      <xsl:apply-templates select="back"/>
    </xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template match="body">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="front">
  <xsl:apply-templates/>
  <HR/>
</xsl:template>

<xsl:template match="back">
  <HR/>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="divGen" mode="toc">
  <xsl:param name="level">1</xsl:param>
  <xsl:param name="suffix"/>
  <xsl:if test="$level">
    <LI>
      <A>
        <xsl:attribute name="href">
          <xsl:call-template name="href">
            <xsl:with-param name="suffix" select="$suffix"/>
          </xsl:call-template>
        </xsl:attribute>
        <xsl:value-of select="$para-name"/>
      </A>
      <xsl:if test="id(@corresp)/div[@corresp] and $level &gt; 1">
        <UL>
          <xsl:apply-templates  mode="toc" select="id(@corresp)/div[@corresp]">
            <xsl:with-param name="level" select="$level - 1"/>
            <xsl:with-param name="suffix" select="concat($suffix,$para-suff)"/>
          </xsl:apply-templates>
        </UL>
      </xsl:if>
    </LI>
  </xsl:if>
</xsl:template>

<xsl:template match="div" mode="toc">
  <xsl:param name="level">1</xsl:param>
  <xsl:param name="suffix"/>
  <xsl:variable name="head">
    <xsl:choose>
      <xsl:when test="head">
        <xsl:apply-templates select="head" mode="toc"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:number level="multiple"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="href">
    <xsl:call-template name="href">
      <xsl:with-param name="suffix" select="$suffix"/>
    </xsl:call-template>
  </xsl:variable>
  <xsl:if test="$level and @type!='subsubsubsection'">
    <LI>
      <xsl:choose>
        <xsl:when test="@type='part'">
          <xsl:value-of select="$head"/>
        </xsl:when>
        <xsl:when test="@type='section'">
          <A href="{$href}">
            <B>
              <xsl:value-of select="$head"/>
            </B>
          </A>
        </xsl:when>
        <xsl:otherwise>
          <A href="{$href}">
            <xsl:value-of select="$head"/>
          </A>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:if test="(div | divGen) and $level &gt; 1">
        <UL>
          <xsl:apply-templates  mode="toc" select="div | divGen">
            <xsl:with-param name="level" select="$level - 1"/>
            <xsl:with-param name="suffix" select="$suffix"/>
          </xsl:apply-templates>
        </UL>
      </xsl:if>
    </LI>
  </xsl:if>
</xsl:template>
  
<xsl:template match="div">
  <xsl:call-template name="anchor"/>  
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="div[@type='subsection']">
  <xsl:call-template name="anchor"/>  
  <xsl:apply-templates/>
  <HR/>
</xsl:template>

<xsl:template match="div[@type='collection']">
  <xsl:call-template name="anchor"/>  
  <xsl:apply-templates/>
  <P align="center">
    <xsl:text>&#x2014; &#x2020; &#x2014;</xsl:text>
  </P>
  <BR/>
</xsl:template>


<!-- render in table, so heading retains alignment with poems -->
<xsl:template match="div[lg]">
  <BR/>
  <xsl:call-template name="anchor"/>
  <TABLE summary="razdelek/pesmi">
    <TR>
      <TD>
        <xsl:apply-templates select="head"/>
      </TD>
    </TR>
    <TR>
      <TD>
        <!-- this is not nice, but not(head) doesn't work!? -->
        <xsl:apply-templates select="p | lg | dateline | signature"/>
      </TD>
    </TR>
  </TABLE>
</xsl:template>

<xsl:template match="div[@type='section']">
  <xsl:variable name="id">
    <xsl:choose>
      <xsl:when test="@id">
        <xsl:value-of select="@id"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="generate-id(.)"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:if test="$verbose='yes'">
    <xsl:message>Processing div <xsl:value-of select="$id"/></xsl:message>
  </xsl:if>
  <xsl:choose>
    <xsl:when test="$split">
      <xsl:call-template name="outputChunk">
        <xsl:with-param name="outFile" select="concat($id,'.html')"/>
        <xsl:with-param name="title">
          <xsl:value-of select="$def-title"/>
          <xsl:text>: </xsl:text>
          <xsl:value-of mode="toc" select="head"/>
         </xsl:with-param>
        <xsl:with-param name="content">
          <xsl:call-template name="chunk"/>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="chunk"/>  
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="divGen[@type='para']">
  <xsl:call-template name="anchor"/>
  <HR/>
  <H2 align="center">  
    <xsl:value-of select="$para-name"/>
  </H2>  
  <xsl:apply-templates mode="para-mode" select="id(@corresp)/div[@corresp]"/>
</xsl:template>

<xsl:template mode="para-mode" match="div[@type='collection']">
  <xsl:call-template name="anchor">
    <xsl:with-param name="suffix" select="$para-suff"/>
  </xsl:call-template>
  <xsl:apply-templates mode="para-mode" select="head | div[@corresp]"/>
</xsl:template>

<xsl:template mode="para-mode" match="div"> 
<!--[contains('facs trans dipl crit',@type) and @corresp]-->
  <BR/>
  <xsl:variable name="ids"   select="concat(@id,' ',@corresp)"/>
  <xsl:variable name="facs"  select="id($ids)[@type='facs']/@id"/>
  <xsl:variable name="dipl"  select="id($ids)[@type='dipl']/@id"/>
  <xsl:variable name="trans" select="id($ids)[@type='trans']/@id"/>
  <xsl:variable name="crit"  select="id($ids)[@type='crit']/@id"/>
  <TABLE BORDER="BORDER" width="100%"  summary="razdelek/vzporedni prikaz">
    <COLGROUP>
      <xsl:if test="$facs">
        <COL width="20%"/>
      </xsl:if>
      <xsl:choose>
        <xsl:when test="$trans and $dipl and $crit">
          <COL span="3" width="26%"/>
        </xsl:when>
        <xsl:when test="($trans and $dipl) or  
                        ($trans and $crit) or  
                        ($crit and $dipl)">
          <COL span="2" width="40%"/>
        </xsl:when>
        <xsl:otherwise>       
          <COL width="80*"/>
        </xsl:otherwise>
      </xsl:choose>
    </COLGROUP>
    <!--CAPTION>
      <xsl:value-of select="head"/>
    </CAPTION-->
    <TR>
      <TH colspan="99">
        <xsl:apply-templates mode="para-mode" select="head"/>
      </TH>
    </TR>
    <TR>
      <xsl:call-template name="parahead">
        <xsl:with-param name="id" select="$facs"/>
      </xsl:call-template>
      <xsl:call-template name="parahead">
        <xsl:with-param name="id" select="$dipl"/>
      </xsl:call-template>
      <xsl:call-template name="parahead">
        <xsl:with-param name="id" select="$trans"/>
      </xsl:call-template>
      <xsl:call-template name="parahead">
        <xsl:with-param name="id" select="$crit"/>
      </xsl:call-template>
    </TR>
    <TR>
      <xsl:call-template name="parabody">
        <xsl:with-param name="id" select="$facs"/>
      </xsl:call-template>
      <xsl:call-template name="parabody">
        <xsl:with-param name="id" select="$dipl"/>
      </xsl:call-template>
      <xsl:call-template name="parabody">
        <xsl:with-param name="id" select="$trans"/>
      </xsl:call-template>
      <xsl:call-template name="parabody">
        <xsl:with-param name="id" select="$crit"/>
      </xsl:call-template>
    </TR>
  </TABLE>
</xsl:template>

<xsl:template name="parahead">
  <xsl:param name="id"/>
  <xsl:variable name="para-id" select="id($id)/ancestor::div[@type='subsection']/@id"/>
  <xsl:if test="$id">
    <TH valign="top">
      <!--A>
        <xsl:attribute name="href">
          <xsl:call-template name="href">
            <xsl:with-param name="id" select="$para-id"/>
          </xsl:call-template>
        </xsl:attribute>
        <xsl:value-of select="id($para-id)/head/text()"/>
      </A-->
      <xsl:value-of select="id($para-id)/head/text()"/>
    </TH>
  </xsl:if>
</xsl:template>

<xsl:template name="parabody">
  <xsl:param name="id"/>
  <xsl:if test="$id">
    <TD valign="top">
      <!--xsl:if test="@type != 'facs' and (lg/l or p/lb)">
        <xsl:attribute name="NOWRAP">NOWRAP</xsl:attribute>
      </xsl:if-->
      <xsl:apply-templates mode="para" select="id($id)"/>
    </TD>
  </xsl:if>
</xsl:template>

<!-- FLOW: zelo zmedeno... -->

<xsl:template mode="para" match="*">
  <xsl:apply-templates select=".">
    <xsl:with-param name="para">yes</xsl:with-param>
  </xsl:apply-templates>
</xsl:template>
<xsl:template mode="para" match="div">
  <xsl:call-template name="anchor">
    <xsl:with-param name="suffix" select="$para-suff"/>
  </xsl:call-template>
  <xsl:apply-templates mode="para">
    <xsl:with-param name="para">yes</xsl:with-param>
  </xsl:apply-templates>
</xsl:template>

<xsl:template mode="para" match="div[lg]">
  <xsl:call-template name="anchor">
    <xsl:with-param name="suffix" select="$para-suff"/>
  </xsl:call-template>
  <xsl:apply-templates>
    <xsl:with-param name="para">yes</xsl:with-param>
  </xsl:apply-templates>
</xsl:template>

<xsl:template mode="para" match="ab[figure]">
    <xsl:apply-templates select="."/>
    <BR/><BR/><BR/>
</xsl:template>
<xsl:template mode="para" match="p">
  <P>
    <xsl:call-template name="align"/>
    <xsl:apply-templates mode="para"/>
  </P>
</xsl:template>

<xsl:template match="ab[figure]">
  <xsl:call-template name="anchor"/>  
  <xsl:choose>
    <xsl:when test="$split">
      <xsl:variable name="outFile" select="concat($figure-prefix,@id,'.html')"/>
      <xsl:call-template name="dump-figure">
        <xsl:with-param name="outFile" select="$outFile"/>
      </xsl:call-template>
      <A href="{$outFile}">
        <IMG src="{figure[@type='thumb']/@url}"
          alt="{figure[@type='small']/figDesc}"/>
      </A>
    </xsl:when>
    <xsl:otherwise>
      <A href="{figure[@type='small']/@url}">
        <IMG src="{figure[@type='thumb']/@url}"
          alt="{figure[@type='thumb']/figDesc}"/>
      </A>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!--xsl:template match="figure">
  <xsl:if test="@type='thumb'">
    <xsl:call-template name="anchor"/>  
    <xsl:variable name="n" select="@n"/>
    <A href="{../figure[@n=$n][@type='small']/@url}">
      <IMG src="{../figure[@n=$n][@type='thumb']/@url}"
        alt="{figure[@type='small']/figDesc}"
        />
    </A>
  </xsl:if>
</xsl:template-->

<xsl:template name="dump-figure">
  <xsl:param name="outFile" select="concat($figure-prefix,@id,'.html')"/>
  <xsl:if test="$verbose='yes'">
    <xsl:message>Processing figure <xsl:value-of select="@id"/></xsl:message>
  </xsl:if>
  <xsl:call-template name="outputChunk">
    <xsl:with-param name="outFile" select="$outFile"/>
    <xsl:with-param name="title">
      <xsl:for-each select="ancestor::div">
        <xsl:value-of select="head/text()"/>        
        <xsl:text> / </xsl:text>
      </xsl:for-each>
      <xsl:text>( </xsl:text>
      <xsl:value-of select="@id"/>
      <xsl:text> </xsl:text>
      <xsl:value-of select="/TEI.2/teiHeader/@date.updated"/>
      <xsl:text>) </xsl:text>
    </xsl:with-param>
    <xsl:with-param name="content">
      <H3>
        <xsl:for-each select="ancestor::div">
          <A>
            <xsl:attribute name="href">
              <xsl:call-template name="href"/>
            </xsl:attribute>
            <xsl:value-of select="head/text()"/>
          </A>
          <BR/>
        </xsl:for-each>
      </H3>
      <UL>
        <LI>
          <A href="{figure[@type='large']/@url}">
            <xsl:value-of select="figure[@type='large']/figDesc"/>
          </A>
        </LI>
        <LI>
          <xsl:value-of select="figure[@type='small']/figDesc"/>
          <BR/>
          <IMG src="{figure[@type='small']/@url}"
            alt="{figure[@type='small']/figDesc}"
            />
        </LI>
      </UL>
    </xsl:with-param>
  </xsl:call-template>
</xsl:template>

<xsl:template match="div[figure]" mode="full">
  <xsl:call-template name="anchor"/>  
  <TABLE border="border"  summar="razdelek/faksimile">
    <xsl:for-each select="figure[@type='thumb']">
      <xsl:variable name="n" select="@n"/>
      <TR>
        <TH>
          <P>
            <xsl:value-of select="../figure[@n=$n][@type='thumb']/figDesc"/>
          </P>
          <IMG src="{../figure[@n=$n][@type='thumb']/@url}"/>
        </TH>
        <TD valign="top">
          <A href="{../figure[@n=$n][@type='large']/@url}">
            <IMG src="{../figure[@n=$n][@type='small']/@url}"
              alt="{figure[@type='small']/figDesc}"
              />
          </A>
        </TD>
      </TR>
    </xsl:for-each>
  </TABLE>
</xsl:template>

<xsl:template match="p">
  <P>
    <xsl:call-template name="align"/>
    <xsl:apply-templates/>
  </P>
</xsl:template>

<xsl:template match="lg">
  <xsl:param name="para"/>
  <xsl:apply-templates>
    <xsl:with-param name="para">
      <xsl:value-of select="$para"/>
    </xsl:with-param>
  </xsl:apply-templates>
  <BR/>
</xsl:template>

<xsl:template match="l">
  <xsl:param name="para"/>
  <P class="break">
    <xsl:call-template name="span-align"/>
    <xsl:apply-templates>
      <xsl:with-param name="para">
        <xsl:value-of select="$para"/>
      </xsl:with-param>
    </xsl:apply-templates>
  </P>
</xsl:template>

<xsl:template match="table">
  <TABLE border="border" rules="all"  summary="tabela">
    <xsl:apply-templates/>
  </TABLE>
</xsl:template>

<xsl:template match="row">
  <TR>
    <xsl:apply-templates/>
  </TR>
</xsl:template>

<xsl:template match="cell">
  <TD>
    <xsl:apply-templates/>
  </TD>
</xsl:template>

<xsl:template match="head" mode="toc">
  <!--
  <xsl:choose>
    <xsl:when test="position() = 2">
      <xsl:text>: </xsl:text>        
    </xsl:when>
    <xsl:when test="position() = 3">
      <xsl:text>; </xsl:text>        
    </xsl:when>
  </xsl:choose>
  -->
  <xsl:if test="position() = 1">
    <xsl:choose>
      <xsl:when test="@n">
        <xsl:value-of select="@n"/>
      </xsl:when>
      <xsl:otherwise>
        <!--xsl:apply-templates select="./text()"/-->
        <xsl:apply-templates mode="toc"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:if>
</xsl:template>

<xsl:template mode="toc" match="note"/>
<xsl:template mode="toc" match="text()">
  <xsl:value-of select="."/>
</xsl:template>
<xsl:template mode="toc" match="*">
  <xsl:apply-templates select="."/>
</xsl:template>

<xsl:template mode="para-mode" match="head">
  <BR/><BR/>
  <xsl:choose>
    <xsl:when test="../@type='collection'">
      <H2 align="center" class="suphead">
        <xsl:call-template name="align"/>
        <xsl:apply-templates/>
      </H2>
    </xsl:when>
    <xsl:otherwise>
      <H3 align="center">
        <U>
          <xsl:apply-templates mode="toc" select="."/>
        </U>
      </H3>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="head">
  <xsl:param name="para"/>
  <xsl:choose>
    <xsl:when test="parent::front">
      <H1 align="center">
        <xsl:apply-templates/>
      </H1>
    </xsl:when>
    <xsl:when test="parent::body"/>
    <xsl:when test="../@type='part'">
      <xsl:if test="not($split)">
        <H1>
          <xsl:call-template name="align"/>
          <xsl:apply-templates/>
        </H1>
      </xsl:if>
    </xsl:when>
    <xsl:when test="../@type='section'">
      <H2>
        <xsl:call-template name="align"/>
        <xsl:apply-templates/>
      </H2>
    </xsl:when>
    <xsl:when test="../@type='subsection'">
      <H2>
        <xsl:call-template name="align"/>
        <xsl:apply-templates/>
      </H2>
    </xsl:when>
    <xsl:when test="../@type='collection'">
      <BR/><BR/>
      <H2 class="suphead">
        <xsl:call-template name="align"/>
        <xsl:apply-templates/>
      </H2>
    </xsl:when>
    <xsl:when test="@type='subhead'">
      <P CLASS="subhead">
        <xsl:call-template name="align"/>
          <xsl:apply-templates/>
      </P>
    </xsl:when>
    <!-- don't write out facsimile heading when in parallel mode -->
    <!--xsl:when test="parent::div[@type='facs'][@corresp]"/-->
    <xsl:when test="parent::div[@type='facs' or @type='trans' or @type='dipl' or @type='crit']">
      <H3>
        <xsl:call-template name="align"/>
        <xsl:choose>
          <xsl:when test="$para and ../@corresp">
            <xsl:apply-templates mode="para"/>
            <SUP>
              <A title="Na posamezni prikaz">
                <xsl:attribute name="href">
                  <xsl:call-template name="href">
                    <xsl:with-param name="id" select="../@id"/>
                  </xsl:call-template>
                </xsl:attribute>
                <xsl:text>&#x2191;</xsl:text>
              </A>
            </SUP>
          </xsl:when>
          <xsl:when test="not($para) and ../@corresp">
            <xsl:apply-templates/>
            <SUP>
              <A title="Na vzporedni prikaz">
                <xsl:attribute name="href">
                  <xsl:call-template name="href">
                    <xsl:with-param name="id" select="../@id"/>
                    <xsl:with-param name="suffix" select="$para-suff"/>
                  </xsl:call-template>
                </xsl:attribute>
                <xsl:text>&#x2191;</xsl:text>
              </A>
            </SUP>
          </xsl:when>
          <xsl:when test="$para">
            <xsl:apply-templates mode="para"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates/>
          </xsl:otherwise>
        </xsl:choose>
      </H3>
    </xsl:when>
    <xsl:when test="../@type='subsubsection'">
      <H4>
        <xsl:call-template name="align"/>
        <xsl:apply-templates/>
      </H4>
    </xsl:when>
    <xsl:when test="ancestor::div[4]">
      <H5>
        <xsl:call-template name="align"/>
        <xsl:apply-templates/>
      </H5>
    </xsl:when>
    <xsl:when test="ancestor::div[3]">
      <H4>
        <xsl:call-template name="align"/>
        <xsl:apply-templates/>
      </H4>
    </xsl:when>
    <xsl:when test="ancestor::div[2]">
      <H3>
        <xsl:call-template name="align"/>
        <xsl:apply-templates/>
      </H3>
    </xsl:when>
    <xsl:otherwise>
      <H2>
        <xsl:call-template name="align"/>
        <xsl:apply-templates/>
      </H2>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="list/head">
  <H5>
    <xsl:call-template name="align"/>
    <xsl:apply-templates/>
  </H5>
</xsl:template>

<xsl:template match="table/head">
  <CAPTION>
    <xsl:call-template name="align"/>
    <xsl:apply-templates/>
  </CAPTION>
</xsl:template>

<!--xsl:template  match="milestone[@unit='phrase']">
  <SPAN>
    <xsl:attribute name="class">
      <xsl:call-template name="color-mark"/>
    </xsl:attribute>
    <xsl:text>|</xsl:text>
    <xsl:if test="@url">
      <A href="{@url}">
        <xsl:text>&#x21B5;</xsl:text>
      </A>
    </xsl:if>
  </SPAN>
  <xsl:if test="$debug">
    <xsl:text disable-output-escaping="yes">&lt;/SPAN&gt;</xsl:text>
    <xsl:text disable-output-escaping="yes">&lt;SPAN class=&quot;</xsl:text>
    <xsl:call-template name="color-sent"/>
    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
  </xsl:if>
</xsl:template-->

<xsl:template match="text//note[@place='inline']">
  <BR/>
  <SMALL>
    <xsl:apply-templates/>
  </SMALL>
</xsl:template>

<xsl:template match="note[@place='end' or @place='foot']">
  <xsl:variable name="id">
    <xsl:choose>
      <xsl:when test="@id">
        <xsl:value-of select="@id"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="generate-id(.)"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <!--A name="{$id}.{@place}"></A-->
  <xsl:call-template name="anchor">
    <xsl:with-param name="id" select="$id"/>
    <xsl:with-param name="suffix" select="@place"/>
  </xsl:call-template>
  <SUP>
    <SPAN class="normal">
      <SMALL>
        <xsl:if test="preceding-sibling::*[1][name(note)]">
          <xsl:text>,</xsl:text>
        </xsl:if>
        <A href="#{$id}">
          <xsl:attribute name="title">
            <xsl:value-of select="normalize-space(.)"/>
          </xsl:attribute>
          <xsl:choose>
            <xsl:when test="@rend">
              <xsl:value-of select="@rend"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:number level="any" count="note" 
                from="div[@type='section']"/>
            </xsl:otherwise>
          </xsl:choose>
        </A>
      </SMALL>
    </SPAN>
  </SUP>
  <xsl:if test="not(preceding-sibling::*[1][name(note)])">
    <xsl:text> </xsl:text>
  </xsl:if>
</xsl:template>

<xsl:template match="note" mode="show">
  <xsl:variable name="id">
    <xsl:choose>
      <xsl:when test="@id">
        <xsl:value-of select="@id"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="generate-id(.)"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <LI>
    <xsl:call-template name="anchor"/>  
    <xsl:apply-templates/>
    <A href="#{$id}{@place}">&#8594;</A>
    <!--
    <xsl:if test="$debug">
      <xsl:text> [</xsl:text>
      <A href="#{$id}.{@place}">na besedilo</A>
      <xsl:text>]</xsl:text>
    </xsl:if>
    -->
  </LI>
</xsl:template>

<xsl:template match="titlePage">
  <xsl:apply-templates/>
  <HR/>
</xsl:template>

<xsl:template match="docTitle">
  <H1 align="center">
    <xsl:apply-templates/>
  </H1>
</xsl:template>

<xsl:template match="docTitle[titlePart]">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="titlePart">
  <H1 align="center">
    <xsl:apply-templates/>
  </H1>
</xsl:template>

<xsl:template match="titlePart[@type='subtitle']">
  <H2 align="center">
    <xsl:apply-templates/>
  </H2>
</xsl:template>

<xsl:template match="docImprint">
  <H4 align="center">
    <xsl:apply-templates/>
  </H4>
</xsl:template>

<xsl:template match="docAuthor">
  <H1 align="center">
    <xsl:apply-templates/>
  </H1>
</xsl:template>

  <xsl:template match="byline/docAuthor">
      <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="byline">
    <H3 align="center">
      <xsl:apply-templates/>
    </H3>
  </xsl:template>
  
<xsl:template match="div[@type='part']/docAuthor">
  <H3 align="center">
    <xsl:apply-templates/>
  </H3>
</xsl:template>

<xsl:template match="text//name">
  <xsl:choose>
    <xsl:when test="$debug">
      <FONT color='purple'><xsl:apply-templates/></FONT>
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="dateline | signature">
  <P>
    <I>
      <xsl:choose>
        <xsl:when test="$debug">
          <FONT color='violet'><xsl:apply-templates/></FONT>
        </xsl:when>
        <xsl:otherwise>
          <xsl:apply-templates/>
        </xsl:otherwise>
      </xsl:choose>
    </I>
  </P>
</xsl:template>

<xsl:template match="text//date">
  <xsl:choose>
    <xsl:when test="$debug">
      <FONT color='violet'><xsl:apply-templates/></FONT>
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="foreign">
  <xsl:choose>
    <xsl:when test="$debug">
      <FONT color='fuchsia'><xsl:apply-templates/></FONT>
    </xsl:when>
    <xsl:otherwise>
      <I><xsl:apply-templates/></I>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="sic">
  <FONT color='red'>
    <xsl:apply-templates/>
  </FONT>
</xsl:template>

<xsl:template match="space">
  <xsl:param name="para"/>
  <xsl:choose>
    <xsl:when test="string-length($para) &gt; 0">
      <xsl:text> </xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="space">
        <xsl:with-param name="n" select="round(@extent div 1.1)"/>
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="align">
  <xsl:if test="@rend = 'right' or @rend = 'center' or @rend = 'justify'">
    <xsl:attribute name="align">
      <xsl:value-of select="@rend"/>
    </xsl:attribute>
  </xsl:if>
</xsl:template>

<xsl:template name="span-align">
  <xsl:if test="@rend = 'right' or @rend = 'center' or @rend = 'justify'">
    <xsl:attribute name="style">
      <xsl:text>text-align: </xsl:text>
      <xsl:value-of select="@rend"/>
      <xsl:text>;</xsl:text>
    </xsl:attribute>
  </xsl:if>
</xsl:template>

<xsl:template name="rend">
  <xsl:param name="rend" select="@rend"/>
  <xsl:variable name="rest"  select="string-after($rend,' ')"/>
  <xsl:variable name="first">
    <xsl:choose>
      <xsl:when test="$rest">
        <xsl:value-of select="substring-before($rend,' ')"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="first" select="$rend"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:if test="$first">
    <xsl:choose>
      <xsl:when test="$first = 'bold'">
        <B>
          <xsl:call-template name="rend">
            <xsl:with-param name="rend" select="$rest"/>
          </xsl:call-template>
        </B>
      </xsl:when>
      <xsl:when test="$first = 'italic'">
        <I>
          <xsl:call-template name="rend">
            <xsl:with-param name="rend" select="$rest"/>
          </xsl:call-template>
        </I>
      </xsl:when>
      <xsl:when test="$first = 'underline'">
        <U>
          <xsl:call-template name="rend">
            <xsl:with-param name="rend" select="$rest"/>
          </xsl:call-template>
        </U>
      </xsl:when>
    </xsl:choose>
  </xsl:if>
</xsl:template>

<xsl:template name="space">
  <xsl:param name="n"/>
  <xsl:if test="$n">
    <xsl:text>&#xA0;</xsl:text>
    <xsl:call-template name="space">
      <xsl:with-param name="n" select="$n - 1"/>
    </xsl:call-template>
  </xsl:if>
  <!--Better alternative, but works only at BOL:
       <P style="text-indent: $n / 4 em">
      Also, have to triger it from p/l level
  -->
</xsl:template>

<xsl:template mode="para" match="space">
  <xsl:text> </xsl:text>
</xsl:template>
<xsl:template mode="para" match="lb">
  <!--xsl:if test="not(substring(.,string-length()-1,1)='-')">
    <xsl:text> </xsl:text>
  </xsl:if-->
  <BR/>
</xsl:template>
<xsl:template match="lb">
  <BR/>
</xsl:template>

<xsl:template mode="para" match="text()">
  <xsl:if test="following-sibling::*[1][name()=lb] and
                substring(.,string-length()-1,1)='-'">
    <xsl:text>!!!</xsl:text>
  </xsl:if>
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="hi[@rend='sup']">
  <SUP>
    <xsl:apply-templates/>
  </SUP>
</xsl:template>
<xsl:template match="hi[@rend='italic']">
  <I><xsl:apply-templates/></I>
</xsl:template>
<xsl:template match="hi">
  <I><xsl:apply-templates/></I>
</xsl:template>

<xsl:template match="emph">
  <xsl:choose>
    <xsl:when test="@rend = 'italic'">
      <I><xsl:apply-templates/></I>
    </xsl:when>
    <xsl:when test="@rend = 'underline'">
      <U><xsl:apply-templates/></U>
    </xsl:when>
    <xsl:when test="@rend = 'bold'">
      <B><xsl:apply-templates/></B>
    </xsl:when>
    <xsl:otherwise>
      <EM><xsl:apply-templates/></EM>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="corr">
  <xsl:text>&lt;</xsl:text>
  <xsl:apply-templates/>
  <xsl:text>&gt;</xsl:text>
</xsl:template>

<xsl:template match="add">
  <sup><xsl:apply-templates/></sup>
</xsl:template>
<xsl:template match="add[@hand='JFA' or @hand='MOG']">
  <xsl:text>[</xsl:text>
  <xsl:apply-templates/>
  <xsl:text>]</xsl:text>
</xsl:template>
<xsl:template match="del">
  <s><xsl:apply-templates/></s>
</xsl:template>
<xsl:template match="del[@hand='JFA']">
  <xsl:text>&#x2026;</xsl:text>
</xsl:template>

<xsl:template match="gap">
  <xsl:text>[&#x2026;]</xsl:text>
</xsl:template>

<xsl:template match="supplied"> 
  <xsl:text> !!!</xsl:text>
  <xsl:apply-templates/>
  <xsl:text>!!! </xsl:text>
</xsl:template>

<xsl:template match="list[@type='ordered']">
  <xsl:apply-templates select="head"/>
  <OL>
    <xsl:apply-templates select="item"/>
  </OL>
</xsl:template>

<xsl:template match="list">
  <xsl:apply-templates select="head"/>
  <UL>
    <xsl:apply-templates select="item"/>
  </UL>
</xsl:template>

<xsl:template match="text//item">
  <LI>
    <xsl:apply-templates/>
  </LI>
</xsl:template>

<!-- BIBLIOGRAHPY -->
<xsl:template match="text//listBibl[biblStruct]">
  <OL>
    <xsl:if test="./biblStruct/@n">
      <xsl:attribute name="start">
        <xsl:value-of select="biblStruct/@n"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:apply-templates/>
  </OL>
</xsl:template>

<xsl:template match="text//listBibl[bibl]">
  <UL>
    <xsl:apply-templates/>
  </UL>
</xsl:template>

<!--xsl:template match="text//listBibl/bibl">
  <LI>
    <xsl:call-template name="anchor"/>  
    <xsl:apply-templates/>
  </LI>
</xsl:template-->

<xsl:template match="text//bibl">
  <xsl:choose>
    <xsl:when test="$debug">
      <FONT color='green'><xsl:apply-templates/></FONT>
    </xsl:when>
    <xsl:when test="parent::listBibl">
      <LI>
	<xsl:apply-templates/>
      </LI>
    </xsl:when>
    <xsl:otherwise>
      <I><xsl:apply-templates/></I>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="text//biblStruct">
  <LI>
    <xsl:if test="@id">
      <A NAME="{@id}"></A>
    </xsl:if>
    <xsl:if test="$debug">
      <xsl:text>&#9;[</xsl:text>
      <xsl:value-of select="@id"/>
      <xsl:text>] </xsl:text>
    </xsl:if>
    <xsl:apply-templates/>
  </LI>
</xsl:template>

<xsl:template match="text//author">
  <B>
    <xsl:apply-templates/>
  </B>
  <xsl:if test="not(contains(.,'–'))">
    <xsl:text>: </xsl:text>
  </xsl:if>
</xsl:template>

<xsl:template match="signed | dateline">
  <P style="text-indent:2em">
    <xsl:call-template name="align"/>
    <xsl:apply-templates/>
  </P>
</xsl:template>

<xsl:template match="text//monogr/title">
  <I>
    <xsl:apply-templates/>
  </I>
</xsl:template>

<xsl:template match="text//analytic/title">
  <xsl:text> </xsl:text>
  <xsl:choose>
    <xsl:when test="$debug">
      <FONT color='green'><xsl:apply-templates/></FONT>
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="text//monogr/title">
  <xsl:text> </xsl:text>
  <xsl:choose>
    <xsl:when test="$debug">
      <FONT color='green'><xsl:apply-templates/></FONT>
    </xsl:when>
    <xsl:otherwise>
      <I><xsl:apply-templates/></I>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="text//pubPlace">
  <xsl:text> </xsl:text>
  <xsl:choose>
    <xsl:when test="$debug">
      <FONT color='fuchsia'><xsl:apply-templates/></FONT>
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="text//biblScope">
  <xsl:text> </xsl:text>
  <xsl:choose>
    <xsl:when test="$debug">
      <FONT color='blue'><xsl:apply-templates/></FONT>
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!-- POINTING -->
<xsl:template match="ref">
  <xsl:apply-templates/>
  <SUP>
    <xsl:choose>
      <xsl:when test="@target">
        <xsl:for-each select="id(@target)">
          <A>
            <xsl:attribute name="href">
              <xsl:call-template name="href">
                <xsl:with-param name="id" select="@id"/>
              </xsl:call-template>
            </xsl:attribute>
            <xsl:attribute name="title">
              <xsl:for-each select="ancestor-or-self::div">
                <xsl:value-of select="head/text()"/>
                <xsl:text> / </xsl:text>
              </xsl:for-each>
            </xsl:attribute>
            <xsl:text>&#x2191;</xsl:text>
          </A>
        </xsl:for-each>
      </xsl:when>
      <xsl:otherwise>
        <FONT color='red'>&#x2191;?</FONT>
      </xsl:otherwise>
    </xsl:choose>
  </SUP>
</xsl:template>
<xsl:template match="xref">
    <xsl:choose>
      <xsl:when test="@url">
        <A href="{@url}">
          <U>
          <xsl:apply-templates/>
          </U>
        </A>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates/>
      </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<!-- NAMED TEMPLATES -->
<xsl:template name="toc-main">
  <A name="TOC"/>
  <H2>Kazalo</H2>
  <xsl:if test="//teiHeader">
    <UL>
      <!--xsl:if test="//teiHeader//@lang='en'">
        <LI>
          <A HREF="{$teiHeader-en}">
            <xsl:value-of select="$teiHeader-desc-en"/>
          </A>
        </LI>
      </xsl:if-->
      <LI>
        <A HREF="{$teiHeader-sl}">
          <xsl:value-of select="$teiHeader-desc-sl"/>
        </A>
      </LI>
    </UL>
  </xsl:if>
  <UL>
    <xsl:apply-templates mode="toc" select="//body/div">
      <xsl:with-param name="level">3</xsl:with-param>
    </xsl:apply-templates>
  </UL>
  <xsl:if test="//back">
    <xsl:text>Dodatki:</xsl:text>
    <UL>
      <xsl:apply-templates mode="toc" select="//back/div/div"/>
    </UL>
  </xsl:if>
</xsl:template>

<xsl:template name="chunk">
  <xsl:call-template name="anchor"/>  
  <xsl:apply-templates select="head"/>
  <xsl:apply-templates select="docAuthor"/>
  <H3>Kazalo</H3>
  <UL>
    <xsl:apply-templates mode="toc" select="div | divGen">
      <xsl:with-param name="level">4</xsl:with-param>
    </xsl:apply-templates>
    <xsl:if test=".//note[@place='end' or @place='foot'][1]">
      <LI>
        <A href="#{@id}.notes">
          <!--xsl:value-of select="head[1]"/-->
          <!--xsl:text> - </xsl:text-->        
          <xsl:text>Opombe</xsl:text>        
        </A>
      </LI>
    </xsl:if>
    <xsl:if test="preceding-sibling::div or parent::div/preceding-sibling::div[1]/div">
      <LI>
        <A>
          <xsl:attribute name="href">
            <xsl:call-template name="href">
              <xsl:with-param name="id">
                <xsl:choose>
                  <xsl:when test="preceding-sibling::div">
                    <xsl:value-of select="preceding-sibling::div[1]/@id"/>
                  </xsl:when>
                  <xsl:when test="parent::div/preceding-sibling::div[1]/div">
                    <xsl:value-of select="parent::div/preceding-sibling::div[1]/div[last()]/@id"/>
                  </xsl:when>
                </xsl:choose>
              </xsl:with-param>
            </xsl:call-template>
          </xsl:attribute>
          <xsl:text>prej&#353;nje poglavje</xsl:text>        
        </A>
      </LI>
    </xsl:if>
    <xsl:if test="following-sibling::div or parent::div/following-sibling::div[1]/div">
      <LI>
        <A>
          <xsl:attribute name="href">
            <xsl:call-template name="href">
              <xsl:with-param name="id">
                <xsl:choose>
                  <xsl:when test="following-sibling::div">
                    <xsl:value-of select="following-sibling::div[1]/@id"/>
                  </xsl:when>
                  <xsl:when test="parent::div/following-sibling::div[1]/div[1]">
                    <xsl:value-of select="parent::div/following-sibling::div[1]/div[1]/@id"/>
                  </xsl:when>
                </xsl:choose>
              </xsl:with-param>
            </xsl:call-template>
          </xsl:attribute>
          <xsl:text>naslednje poglavje</xsl:text>        
        </A>
      </LI>
    </xsl:if>
    <LI>
      <A href="{$outName}.html#TOC">
        <xsl:text>na glavno kazalo</xsl:text>        
      </A>
    </LI>
  </UL>
  <HR/>
  <xsl:apply-templates select="*[name() != 'head']"/>
  <HR/>
  <xsl:if test=".//note[@place='end' or @place='foot'][1]">
    <A name="{@id}.notes"></A>
    <H3>Opombe</H3>
    <OL>
      <xsl:apply-templates select=".//note[@place='end' or @place='foot']" mode="show"/>
    </OL>
    <xsl:if test="$split">
      <BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/>
      <BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/>
      <BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/>
      <BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/><BR/>
    </xsl:if>
  </xsl:if>
  <HR/>
</xsl:template>

<xsl:template name="outputChunk">
  <xsl:param name="outFile" select="concat(@id,'.html')"/>
  <xsl:param name="absFile" select="concat($outDir,$outFile)"/>
  <xsl:param name="title">
    <xsl:value-of select="$id"/>
  </xsl:param>
  <xsl:param name="content"/>
  <xsl:choose>
    <xsl:when test="element-available('exsl:document')">
      <xsl:if test="$verbose='yes'">
        <xsl:message>Opening <xsl:value-of select="$absFile"/></xsl:message>
      </xsl:if>
      <exsl:document         
        encoding="utf-8" 
        method="html" 
        doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" 
        href="{$absFile}">
        <HTML>
          <xsl:comment>THIS FILE IS GENERATED FROM AN XML MASTER. DO NOT EDIT!</xsl:comment>
          <xsl:text>&#10;</xsl:text>
          <HEAD>
            <TITLE>
              <xsl:value-of select="normalize-space($title)"/>
            </TITLE>
            <META http-equiv="Content-Type" content="text/html; charset=utf-8"/>
            <STYLE TYPE="text/css">
              <xsl:value-of select="$css_style"/>
            </STYLE>
          </HEAD>
          <BODY>
            <xsl:copy-of select="$content"/>
            <xsl:copy-of select="$html-footer1"/>
            <xsl:if test="not(ancestor-or-self::teiHeader or descendant::teiHeader)">
              <xsl:copy-of select="$html-footer2"/>
            </xsl:if>
          </BODY>
        </HTML>
      </exsl:document> 
      <xsl:if test="$verbose='yes'">
        <xsl:message>Closing <xsl:value-of select="$absFile"/></xsl:message>
      </xsl:if>
    </xsl:when>
    <xsl:otherwise>
      <xsl:if test="$verbose='yes'">
        <xsl:message>Creation of 
          <xsl:value-of select="$absFile"/> not possible</xsl:message>
      </xsl:if>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!--xsl:template name="page-text">
  <xsl:for-each select="line">
    <xsl:call-template name="line"/>
  </xsl:for-each>
</xsl:template-->

<xsl:template name="anchor">
  <xsl:param name="suffix"/>
  <xsl:param name="id"/>
  <A>
    <xsl:attribute name="name">
      <xsl:choose>
        <xsl:when test="$id">
          <xsl:value-of select="$id"/>
        </xsl:when>
        <xsl:when test="@id">
          <xsl:value-of select="@id"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="generate-id(.)"/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:value-of select="$suffix"/>
    </xsl:attribute>
  </A>
</xsl:template>

<xsl:template name="href">
  <xsl:param name="suffix"/>
  <xsl:param name="id"/>
    <!--
    <xsl:choose>
      <xsl:when test="@id">
        <xsl:value-of select="@id"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="generate-id(.)"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:param>
    -->
  <xsl:if test="$split">
    <xsl:choose>
      <xsl:when test="id($id)/ancestor-or-self::div[@type='section']">
        <xsl:value-of select="id($id)/ancestor-or-self::div[@type='section']/@id"/>
      </xsl:when>
      <xsl:when test="ancestor-or-self::div[@type='section']">
        <xsl:value-of select="ancestor-or-self::div[@type='section']/@id"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$outName"/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>.html</xsl:text>
  </xsl:if>
  <xsl:text>#</xsl:text>
  <xsl:choose>
    <xsl:when test="id($id)/@id">
      <xsl:value-of select="id($id)/@id"/>
    </xsl:when>
    <xsl:when test="@id">
      <xsl:value-of select="@id"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$id"/>
    </xsl:otherwise>
  </xsl:choose>
  <xsl:value-of select="$suffix"/>
</xsl:template>

</xsl:stylesheet>
